<?php

namespace ForoAgency\ColoredUsername\XF\Repository;

class Node extends XFCP_Node
{
    public function mergeNodeListExtras(array $extras, array $childExtras)
    {
        $output = parent::mergeNodeListExtras($extras, $childExtras);

        // not privateInfo
        if (isset($output['last_post_user_id']))
        {
            $userRepo = $this->getUserRepo();
            $user = $this->em->find('XF:User', $output['last_post_user_id']);

            $output['last_post_user_dsgid'] = $user['display_style_group_id'];
        }

        return $output;
    }

    protected function getUserRepo()
    {
        return $this->repository('XF:User');
    }
}
