<?php

namespace ForoAgency\ColoredUsername\XF\Entity;

class Forum extends XFCP_Forum
{
    public function getNodeListExtras()
    {
        $extras = parent::getNodeListExtras();

        // not privateInfo
        if (isset($extras['last_post_user_id']))
        {
            $userRepo = $this->getUserRepo();
            $user = $this->em()->find('XF:User', $extras['last_post_user_id']);

            $extras['last_post_user_dsgid'] = $user['display_style_group_id'];
        }
        \XF::dump($extras);

        return $extras;
    }

    protected function getUserRepo()
    {
        return $this->repository('XF:User');
    }
}
